Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.ioc.util
Class ExceptionUtils

    java.lang.Object
      org.apache.tapestry5.ioc.util.ExceptionUtils

    public class ExceptionUtils

extends java.lang.Object

Contains static methods useful for manipulating exceptions.

Constructor Summary
`ExceptionUtils()`

Method Summary
`static
`<T extends java.lang.Throwable> T`
` | `findCause(java.lang.Throwable t, java.lang.Class<T> type)` Locates a particular type of exception, working its way via the cause property of each exception in the exception stack.
`static
`<T extends java.lang.Throwable> T`
` | `findCause(java.lang.Throwable t, java.lang.Class<T> type, PropertyAccess access)` Locates a particular type of exception, working its way down via any property that returns some type of Exception.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExceptionUtils

    public ExceptionUtils()

Method Detail

### findCause

    public static <T extends java.lang.Throwable> T findCause(java.lang.Throwable t,
                                                              java.lang.Class<T> type)

  Locates a particular type of exception, working its way via the cause property of each exception in the exception stack.

  Parameters:
    `t` - the outermost exception
    `type` - the type of exception to search for
  Returns:
    the first exception of the given type, if found, or null

### findCause

    public static <T extends java.lang.Throwable> T findCause(java.lang.Throwable t,
                                                              java.lang.Class<T> type,
                                                              PropertyAccess access)

  Locates a particular type of exception, working its way down via any property that returns some type of Exception. This is more expensive, but more accurate, than `findCause(Throwable, Class)` as it works with older exceptions that do not properly implement the (relatively new) cause property.

  Parameters:
    `t` - the outermost exception
    `type` - the type of exception to search for
    `access` - used to access properties
  Returns:
    the first exception of the given type, if found, or null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.